Welcome to Geeklog Friday, December 15 2017 @ 03:27 am EST

Geeklog 1.7.0 BETA 1

  • Contributed by:
  • Views: 3,615
Announcements

The first beta of Geeklog 1.7.0 is now available for download.

The main new feature in this release is support for PostgreSQL (aka Postgres), implemented by Stan Palatnik during the 2009 Summer of Code. We haven't forgotten about the other successful GSoC 2009 projects - those will be added in future releases.

Geeklog 1.7.0 also addresses everybody's favourite nuisance, the problem with the expiring CSRF token: Now when the token expires, you will be asked for your password again, after which you can continue as normal (and without any data loss).

Other important changes in Geeklog 1.7.0: The minimum requirements are PHP 4.4.0 and MySQL 4.0.18 (assuming you use MySQL as your database) now. We are currently planning to drop support for PHP 4 entirely in Geeklog 1.8 later this year.

Call for Translations

Geeklog ships with language files for over 30 languages. On closer inspection, however, many of those haven't been updated in a while. So if you know a language other than English, please help us update the translations. Instructions can be found on the Geeklog wiki and we also have a mailing list dedicated to translation issues. Any help is welcome. Thank you!